
/**
 * Clicky Menus v1.5.2
 */

/**
 * Initial state, hidden off screen
 */
 
 
 .social-links {
	display: inline-block;
	vertical-align: middle;
	padding-bottom:4px;
	}

	.hdrbtn {
  
  flex: 1 0 auto;
  display: inline-block;
  flex-wrap: wrap;
  align-items: center;
  border: 0;
  font-size: 1.1rem;
  font-weight: 700;
  line-height: 1.5;
  cursor: pointer;
  -webkit-transition: background-color 0.3s linear;
  -ms-transition: background-color 0.3s linear;


	transition: background-color 0.3s linear;
   -moz-transition: background-color 0.3s linear;
   -webkit-transition: background-color 0.3s linear;
   -ms-transition: background-color 0.3s linear;
   padding: 0.9rem;
   text-decoration: none;
   border-radius:4px;
   margin: .25em;
   width:100px;

	}




	.hdrbtn.red {
	background-color: var(--color-red);
	color: var(--color-white);
	}

	.hdrbtn.yellow {
	background-color: var(--color-dark-blue);
	color: var(--color-white);
	}

	.menu-item.yellow a {
	background-color: #fed73c;
	color:var(--color-dark);
	transition: background-color 0.3s linear;
   -moz-transition: background-color 0.3s linear;
   -webkit-transition: background-color 0.3s linear;
   -ms-transition: background-color 0.3s linear;
   padding: 0.5rem 0.75rem;
	
	}

	.menu-item.red a {
	
		background-color: #ff2930;
	color:#fff;
	transition: background-color 0.3s linear;
   -moz-transition: background-color 0.3s linear;
   -webkit-transition: background-color 0.3s linear;
   -ms-transition: background-color 0.3s linear;
   padding: 0.5rem 0.75rem;
	
	}

	.menu-item.red a:hover,
	.menu-item.yellow a:hover {
	background-color:  var(--color-light-green);
	color:#fff;
	}

	.menu-item.yellow a:after,
	.menu-item.red  a:after {
	content:none;
	display: none;
	}

	
	
	.hdrbtn.red:hover,
	.hdrbtn.yellow:hover {
	background-color:  var(--color-light-green);
	color:#fff;
	  transition: background-color 0.3s linear;
   -moz-transition: background-color 0.3s linear;
   -webkit-transition: background-color 0.3s linear;
   -ms-transition: background-color 0.3s linear;
	}
	
	
 
 @media screen and (min-width: 1599px) {
	 
	 .menu-primary-container {
		
	 justify-content: stretch;
	 margin: 0;
	 padding: 0;
	 list-style: none;
	 display: inline-flex;
	}
	 
	 
	 .sub-toggle {
		 display: none;
	 }
	 
 	
	
	.menu-toggle {
		display: none;
	}
	 
	 
	 
	.main-menu ul {
	position: absolute;
	top: 100%;
	left: 0;
	
	}

	/* Contain position of submenu to parent list item. This is probably the 80% of the 80/20 use case */
	.main-menu > li {
	position: relative;
	}

	/**
		* No JS fallback
		*
		* Triggers menus on hover rather than click. Supports keyboard navigation in modern browsers.
		*/
	.main-menu.no-js li:hover > ul {
	visibility: visible;
	}

	.main-menu.no-js li:focus-within > ul { /*[2]*/
	visibility: visible;
	}

	/**
	 * Open/Close Menu Behavior with JS
	 */
 	.main-menu ul[aria-hidden="false"] {
	visibility: visible;
	}

	/* Prevent offscreen-submenus */
	.main-menu .sub-menu--right {
		left: auto !important;
		right: 0 !important;
	}

	/**
	 * Footnotes
	 *
	 * [1] Using visibility instead of display allows for easier transitions and animation of submenus
	 * [2] Must be a separate ruleset so that hover works in non-modern browsers
	 */

	/* Hidden SVG used for down arrows */
	svg[hidden] {
		display: none;
		position: absolute;
	}

	.site-navigation {
		display: inline-block;
		}

	.main-menu {
		justify-content: stretch;
		margin: 0;
		padding: 0;
		list-style: none;
		display: inline-flex;
	}

	.main-menu li.menu-item-has-children {
		padding-right:10px;
	}

	

	/* General Link & Button Styles */
	.main-menu a,
	.main-menu button {
		margin: .25em;
		padding: .9rem;
		background: transparent;
		color: #555;
		font-family: inherit;
		text-decoration: none;
		border-radius: 4px;
		font-family: var(--head-fam);
		font-weight: 700;
	}

	.main-menu a:hover,
	.main-menu button:hover {
		background: #fff;
	}

	.main-menu a:focus,
	.main-menu button:focus {
		outline: .125em dotted var(--color-purple);
		/*outline-offset: -.125em;*/
	}

	/* Top Level Items */
	.main-menu > li {
		flex: 1 1 auto;
		display: flex;
		justify-content: stretch;
		flex-wrap: wrap;
	}

	.main-menu > li > a,
	.main-menu > li > button {
		flex: 1 0 auto;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		border: 0;
		font-size: 1.1rem;
		font-weight: 700;
		line-height: 1.5;
		cursor: pointer;
		font-family: var(--head-fam);
		font-weight: 700;
	}

	.main-menu > li > button  {
		padding-right:26px;
	}
	
	.main-menu > li > a:hover,
	.main-menu > li > button:hover {
		background: var(--color-light-green);
		color:#fff;
	}

	.main-menu > li > a,
	.main-menu > li > button {
		justify-content: center;
	}	


	/* Icon */
	.main-menu svg {
		width: 1em;
		height: 1em;
		margin-left: .5em;
	}


	/* Submenu Styles */
	.main-menu ul {
		min-width: 100%;
		margin-top: .25em;
		padding: 0;
		list-style: none;
		background-color: #fff;
		border-radius: 3px;
	
	  position: absolute;
	  top: 100%;
	  left: 0;
	
		box-shadow: 2px 4px 4px rgba(0,0,0,.2);
		
	}


	/* Ensure no-js support works by covering the .25em margin-top gap between submenu and parent item with a pseudo-element that extends the "surface" of the submenu. If you don't care as much about no-js mode, you could also just set margin-top: 0 when .no-js is present.  */
	.main-menu.no-js ul::before {
		position: absolute;
		display: block;
		content: "";
		width: 100%;
		height: .25em;
		top: -.25em;
	}

/* Responsive Submenu Behavior */
	.main-menu ul[aria-hidden="false"] {
	
		
		flex: 0 0 auto;
		position: absolute;
		
		transform: translateY(0);
		opacity: 1;
		text-align: left;
		z-index: 1000;
		width:220px;
	}


/* Submenu Links 
.main-menu ul a {
	display: block;
	white-space: nowrap;
	}
	
	.main-menu ul a:hover {
		color: var(--color-light-green);
	}


.sub-menu ul li {
	text-align: left;
}

.main-menu li ul.sub-menu li a:hover {
	background: var(--color-light-green);
	color: var(--color-white);
}



.menu-item-has-children button::after {
  content: "";
  position: absolute;
  right: 26px;
  top: 28px;
  width: 7px;
  height: 7px;
  cursor: pointer;
  transform: rotate(-45deg);
  border-left: 2px solid #666;
  border-bottom: 2px solid #666;
  transition: 0.2s ease-in-out;
}

.menu-item-has-children:hover button:after {

	
	border-left: 2px solid #fff;
	border-bottom: 2px solid #fff;
	
}

.menu-item-has-children button[aria-expanded="true"]:after {
	transform: rotate(135deg);
	top:32px;
	} */
	
	
	/* Submenu Styles */
	

	.main-menu ul.sub-menu {
	position: absolute;
	top: 60px;
	left: 0;
	min-width: 100%;
	margin-top: .25em;
	padding: 0;
	list-style: none;
	background-color: #fff;
	border-radius: 12px;

	/*box-shadow: 2px 4px 4px rgba(0,0,0,.2);*/
		filter: drop-shadow(0px 0px 11px #0d2808);
		
		padding:6px;
		width:300px;
		z-index: 999999;
		visibility: hidden;
		display: none;
	}
	

	li.menu-item-has-children:hover ul.sub-menu {
		visibility: visible;
		display: block;
	}


	/* Ensure no-js support works by covering the .25em margin-top gap between submenu and parent item with a pseudo-element that extends the "surface" of the submenu. If you don't care as much about no-js mode, you could also just set margin-top: 0 when .no-js is present.  */
	.main-menu.no-js ul::before {
	position: absolute;
	display: block;
	content: "";
	width: 100%;
	height: .25em;
	top: -.25em;
	}

	/* Responsive Submenu Behavior */
	.main-menu ul[aria-hidden="false"] {
	
		
		flex: 0 0 auto;
		position: absolute;
		
		transform: translateY(0);
		opacity: 1;
		text-align: left;
		z-index: 1000;
		width:240px;
		top: 70px;
	}


	/* Submenu Links */
	.main-menu ul a {
	display: block;
	white-space: nowrap;
	font-weight: 700;
	}
	
	.main-menu ul a:hover {
		color: var(--color-light-green);
	}


	.sub-menu ul li,
	.main-menu li {
		text-align: left;
	}

	.main-menu li ul.sub-menu li a {
	background-color: var(--color-pale-bg);
	}

	.main-menu li ul.sub-menu li a:hover {
	background: var(--color-light-green);
	color: var(--color-white);
	}



	.menu-item-has-children button::after {
	  content: "";
	  position: absolute;
	  right: 26px;
	  top: 28px;
	  width: 7px;
	  height: 7px;
	  cursor: pointer;
	  transform: rotate(-45deg);
	  border-left: 2px solid #666;
	  border-bottom: 2px solid #666;
	  transition: 0.2s ease-in-out;
	}

	.menu-item-has-children:hover button:after {
	
		/*border-left: 2px solid  var(--color-light-green);
		border-bottom: 2px solid  var(--color-light-green);*/
		border-left: 2px solid #fff;
		border-bottom: 2px solid #fff;
		
	}

	.menu-item-has-children button[aria-expanded="true"]:after {
		transform: rotate(135deg);
		top:32px;
		}
	
}


  

  
@media screen and (max-width: 1598px) {
	
	@keyframes fadeInUp {
		0% {
		/*transform: translateY(0%);*/
		opacity: 0;
  		}
  		100% {
  		/* transform: translateY(0%);*/
    	opacity: 1;
  		}
	}
	
	.main-menu ul[aria-hidden="false"] {
  
  top: 0;
}

	.menu-primary-container {
		
	 justify-content: stretch;
	 margin: 0;
	 padding: 0;
	 list-style: none;
	 display: inline-flex;
	}
	
	.main-menu {
		display: none;
		height:1px;
		
		
		opacity: 0;
	}
	
	.main-menu ul.sub-menu {
		display: none;
		}
	
	
	
	.main-menu {
	display: none;
  	width: 96%;
  	position: absolute;
  	z-index: 100;
  	left: 0;
  	
  	
  	box-shadow: 2px 4px 4px rgba(0,0,0,.2);
 
	  opacity: 1;
	  height:auto;
	  transition-property: transform opacity;
	  transition-duration: .1s;
	  padding-left:2%;
	  padding-right:2%;
		animation: 0.5s fadeInUp;
		top:120px;
		background: #fff;
		-webkit-border-bottom-right-radius: 12px;
-webkit-border-bottom-left-radius: 12px;
-moz-border-radius-bottomright: 12px;
-moz-border-radius-bottomleft: 12px;
border-bottom-right-radius: 12px;
border-bottom-left-radius: 12px;
	}
	
	.main-small-navigation .main-menu {
		display: block;
	}
	
	.main-menu li {
		
  flex: none;
  justify-content: stretch;
  flex-wrap: wrap;
  display: block;
  text-align: left;
  border-bottom: 1px solid #ccc;
  padding-right:10px;
  position: relative;

	}
	
	.main-menu > li > button {
  padding-right: 1rem;
}

	
	.main-menu a, 
	.main-menu button,
	.main-menu > li > a, 
	.main-menu > li > button {
	  flex: 1 0 auto;
	  display: block;
	  flex-wrap: wrap;
	  align-items: center;
	  border: 0;
	  font-size: 1.1rem;
	  line-height: 1.5;
	  cursor: pointer;
	  font-family: var(--head-fam);
	  font-weight: 700;
	  margin: .25em;
	  padding: .9rem;
	  padding-right: 0.9rem;
	  background: transparent;
	  color: #555;
	  font-family: inherit;
	  text-decoration: none;
	  border-radius: 4px;
	  font-family: var(--head-fam);
	  font-weight: 700;
	}
	
	.main-menu li ul.sub-menu li {
		border:0;
	}
	
	.main-menu li ul.sub-menu li a {
  background-color: var(--color-pale-bg);
}
	
	
	.main-menu > li > a:hover, 
	.main-menu > li > button:hover {
  background: var(--color-light-green);
  color: #fff;
}
	
	.menu-toggle {
		display: inline-block;
		cursor: pointer;
		vertical-align: middle;
		font-size: 24px;
		background: #fff;
		border:0;
		padding:6px;
		margin-left: 7px;
		
	}
	
	.sub-toggle {
		position: absolute;
		right:10px;
		top:15px;
	}
	
	.sub-toggle  i {
		font-size: 1.2rem;
		color: var(--color-bright-green);
	}
	
	 
  


  
  
  .menu-item.red a,
  .menu-item.yellow a {
  display: none;
	}
	
	.main-menu ul {
  min-width: 100%;
  margin-top: .25em;
  padding: 0;
  list-style: none;
  background-color: #fff;
  border-radius: 0;
  filter: none;
}

.main-menu ul.sub-menu {
  position: relative;
  top: 0;
  left: 0;
  

	min-width: 100%;
	margin-top: 0;
	padding: 0;
	list-style: none;
	background-color: #fff;
	border-radius: 0;

		/*box-shadow: 2px 4px 4px rgba(0,0,0,.2);*/
		filter: none;
		
		padding:6px;
		width:100%;
		z-index: 999999;
	}

/*.main-menu li ul.sub-menu li a {
  background-color: #fff;
}

li.menu-item-has-children:hover ul.sub-menu {
		visibility: hidden;
		display: none;
	}*/

.main-menu li ul.sub-menu li {
	padding-left:20px;
}




	
	.main-menu ul[aria-hidden="false"] {
	position: relative;
	width: auto;
	transform:none;
	opacity: 1;
	text-align: left;
	z-index: 100;
	border-top: 1px solid #ccc;
	}
	
	.main-menu > li {
	flex: none;
	
	justify-content: stretch;
	flex-wrap: wrap;
	display: block;
	
	text-align: left;
	border-bottom:1px solid #ccc;
	}

	main-menu > li > a {
	flex: 1 0 auto;
	display: inline-block;
	flex-wrap: wrap;
	align-items: center;
	border: 0;
	font-size: inherit;
	font-weight: 700;
	line-height: 1.5;
	cursor: pointer;
	}
	
	.main-menu > li > a, 
	.main-menu > li > button {
  flex: 1 0 auto;
  display: inline-block;
  flex-wrap: wrap;
  align-items: center;
  border: 0;
  font-size: 1.1rem;
 
  line-height: 1.5;
  cursor: pointer;
  font-family: var(--head-fam);
  font-weight: 700;
}
	
	ul.sub-menu {
		box-shadow: none;
		
	}
	
	.menu-item-has-children:hover button::after {

    border-left: 2px solid var(--color-light-green);
    border-bottom: 2px solid var(--color-light-green);
   

	}
	
	
	.sub-menu ul li {
  text-align: left;
  padding-left: 40px;
}
	
	
	
	

	
	

}

@media (max-width: 760px) {
	
	.site-navigation {
  	margin-top: 110px;
  	text-align: center;
  	display: block;
  	width: 100%;
	}
	
	.hdrbtn {
 
	  font-size: 1rem;
	  font-weight: 700;
	  line-height: 1.3;
	  
	  padding: 0.7rem;
	  text-decoration: none;
	  border-radius: 4px;
	  margin: .2em;
	  width: 80px;
	}

		
}

@media (max-width:680px) {
		.main-menu {
			top:140px;
  		}
}

@media (max-width:470px) {
		.main-menu {
			top:160px;
  		}
}